// profile modal //

.profile__modal {
    transition: 0.3s ease;
    visibility: hidden;
    opacity: 0;
    
    .modal__body {
        padding: 24px 0;

        .modal__wrapper {
            display: flex;
            flex-direction: column;
            grid-gap: 8px;
            padding: 0 24px;
            margin-bottom: 24px;

            .modal-body__title {
                @include f16w500M8;
            }

            .profile__description {
                background-color: $main-0;
            }
        }

        .profile__wrapper {
            
            .create__form  {
                border-radius: 0;

                .profile__list {
                    display: flex;
                    flex-direction: column;
                    grid-gap: 16px;
                    height: calc(100vh - 440px);
                    overflow-y: scroll;
                    @include scrollbarTransparent;
                }

                .component__button {
                    width: 100%;
                }
            }
        }
    }
}

.profile__modal.active {
    right: 0;
    visibility: visible;
    opacity: 1;
} 

.profile__selected {
    transition: 0.3s ease;
    opacity: 1;
    visibility: visible;
    z-index: 1;
    max-height: 100vh;
}

// .profile__selected.hidden {
//     position: absolute;
//     opacity: 0;
//     visibility: hidden;
//     z-index: -1;
//     max-height: 0;
// }

